Use this API to manage CI/CD pipelines and the jobs they run.

List pipelines triggered by the authenticated user

GET /api/v4/pipelines

Lists recently created pipelines across all projects that were triggered by the authenticated user. By default, child pipelines are not included in the results. To return child pipelines, set source to parent_pipeline. This endpoint only supports keyset pagination.

Parameters

NameTypeDescription
source
Query
StringThe source of pipelines
Allowed values: unknown, push, web, trigger, schedule, api, external, pipeline, chat, webide, merge_request_event, external_pull_request_event, parent_pipeline, ondemand_dast_scan, ondemand_dast_validation, security_orchestration_policy, container_registry_push, duo_workflow, pipeline_execution_policy_schedule, dependency_management_security_update
Example: push
created_before
Query
String (date-time)Return pipelines created before the specified datetime. Format: ISO 8601 YYYY-MM-DDTHH:MM:SSZ
Example: 2015-12-24T15:51:21.880Z
created_after
Query
String (date-time)Return pipelines created after the specified datetime. Format: ISO 8601 YYYY-MM-DDTHH:MM:SSZ
Example: 2015-12-24T15:51:21.880Z
order_by
Query
StringReturn pipelines ordered by created_at
Allowed values: created_at
Default: created_at
Example: created_at
sort
Query
StringReturn pipelines sorted in desc order
Allowed values: desc
Default: desc
Example: desc
cursor
Query
StringCursor for obtaining the next set of records
Example: eyJpZCI6IjE0In0
per_page
Query
IntegerNumber of items per page
Default: 20
Maximum: 100
Minimum: 1
Example: 20

Responses

CodeDescriptionSchema
200OKAPIEntitiesCiUserPipeline
400Bad Request—
401Unauthorized—

Create a pipeline

POST /api/v4/projects/{id}/pipeline

Creates a pipeline in the specified project.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID or URL-encoded path
Example: 11

Request body (application/json)

PropertyTypeDescription
inputsObjectThe list of inputs to be used to create the pipeline
ref
Required
StringReference
Example: develop
variablesArray of objectsArray of variables available in the pipeline
variables[].keyStringThe key of the variable
Example: UPLOAD_TO_S3
variables[].valueStringThe value of the variable
Example: true
variables[].variable_typeStringThe type of variable, must be one of env_var or file. Defaults to env_var
Allowed values: env_var, file
Default: env_var

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesCiPipeline
400Bad request—
401Unauthorized—
403Forbidden—
404Not found—

List all project pipelines

GET /api/v4/projects/{id}/pipelines

Lists all pipelines in a project. By default, child pipelines are not included in the results. To return child pipelines, set source to parent_pipeline.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID or URL-encoded path
Example: 11
page
Query
IntegerCurrent page number
Default: 1
Example: 1
per_page
Query
IntegerNumber of items per page
Default: 20
Example: 20
scope
Query
StringThe scope of pipelines
Allowed values: running, pending, finished, branches, tags
Example: pending
status
Query
StringThe status of pipelines
Allowed values: created, waiting_for_resource, preparing, waiting_for_callback, pending, running, success, failed, canceling, canceled, skipped, manual, scheduled
Example: pending
ref
Query
StringThe ref of pipelines
Example: develop
sha
Query
StringThe sha of pipelines
Example: a91957a858320c0e17f3a0eca7cfacbff50ea29a
yaml_errors
Query
BooleanReturns pipelines with invalid configurations
Example: false
username
Query
StringThe username of the user who triggered pipelines
Example: root
updated_before
Query
String (date-time)Return pipelines updated before the specified datetime. Format: ISO 8601 YYYY-MM-DDTHH:MM:SSZ
Example: 2015-12-24T15:51:21.880Z
updated_after
Query
String (date-time)Return pipelines updated after the specified datetime. Format: ISO 8601 YYYY-MM-DDTHH:MM:SSZ
Example: 2015-12-24T15:51:21.880Z
created_before
Query
String (date-time)Return pipelines created before the specified datetime. Format: ISO 8601 YYYY-MM-DDTHH:MM:SSZ
Example: 2015-12-24T15:51:21.880Z
created_after
Query
String (date-time)Return pipelines created after the specified datetime. Format: ISO 8601 YYYY-MM-DDTHH:MM:SSZ
Example: 2015-12-24T15:51:21.880Z
order_by
Query
StringOrder pipelines
Allowed values: id, status, ref, updated_at, user_id
Default: id
Example: status
sort
Query
StringSort pipelines
Allowed values: asc, desc
Default: desc
Example: asc
source
Query
StringThe source of pipelines
Allowed values: unknown, push, web, trigger, schedule, api, external, pipeline, chat, webide, merge_request_event, external_pull_request_event, parent_pipeline, ondemand_dast_scan, ondemand_dast_validation, security_orchestration_policy, container_registry_push, duo_workflow, pipeline_execution_policy_schedule, dependency_management_security_update
Example: push
name
Query
StringFilter pipelines by name
Example: Build pipeline

Responses

CodeDescriptionSchema
200OKAPIEntitiesCiPipelineBasic
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Retrieve the latest pipeline

GET /api/v4/projects/{id}/pipelines/latest

Retrieves the latest pipeline for the most recent commit on a specified ref in a project. If no pipeline exists for the commit, a 403 status code is returned. Use the page and per_page pagination parameters to control the pagination of results.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID or URL-encoded path
Example: 11
ref
Query
StringBranch ref of pipeline. Uses project default branch if not specified
Example: develop

Responses

CodeDescriptionSchema
200OKAPIEntitiesCiPipelineWithMetadata
400Bad Request—
401Unauthorized—
403Forbidden—
404Not found—

Retrieve a pipeline

GET /api/v4/projects/{id}/pipelines/{pipeline_id}

Retrieves a specified pipeline from a project. You can also get a child pipeline.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID or URL-encoded path
Example: 11
pipeline_id
Path, required
IntegerThe pipeline ID
Example: 18

Responses

CodeDescriptionSchema
200OKAPIEntitiesCiPipelineWithMetadata
400Bad Request—
401Unauthorized—
403Forbidden—
404Not found—

Delete a pipeline

DELETE /api/v4/projects/{id}/pipelines/{pipeline_id}

Deletes a specified pipeline for a project.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID or URL-encoded path
Example: 11
pipeline_id
Path, required
IntegerThe pipeline ID
Example: 18

Responses

CodeDescriptionSchema
204Pipeline was deleted—
400Bad Request—
403Forbidden—
404Not Found—

List all bridge jobs by pipeline (deprecated)

GET /api/v4/projects/{id}/pipelines/{pipeline_id}/bridges

Deprecated in GitLab 19.2. Use trigger_jobs endpoint instead.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID or URL-encoded path
Example: 11
pipeline_id
Path, required
IntegerThe pipeline ID
Example: 18
scope
Query
String or array of stringsThe scope of builds to show
Example: ["pending","running"]
page
Query
IntegerCurrent page number
Default: 1
Example: 1
per_page
Query
IntegerNumber of items per page
Default: 20
Example: 20

Responses

CodeDescriptionSchema
200OKAPIEntitiesCiBridge
400Bad Request—
401Unauthorized—
403Forbidden—
404Not found—

Cancel all jobs for a pipeline

POST /api/v4/projects/{id}/pipelines/{pipeline_id}/cancel

Cancels all jobs in a specified pipeline.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID or URL-encoded path
Example: 11
pipeline_id
Path, required
IntegerThe pipeline ID
Example: 18

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesCiPipeline
400Bad Request—
401Unauthorized—
403Forbidden—
404Not found—

List all jobs by pipeline

GET /api/v4/projects/{id}/pipelines/{pipeline_id}/jobs

Lists all jobs for a specified pipeline.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID or URL-encoded path
Example: 11
pipeline_id
Path, required
IntegerThe pipeline ID
Example: 18
include_retried
Query
BooleanIncludes retried jobs
Default: false
scope
Query
String or array of stringsThe scope of builds to show
Example: ["pending","running"]
page
Query
IntegerCurrent page number
Default: 1
Example: 1
per_page
Query
IntegerNumber of items per page
Default: 20
Example: 20

Responses

CodeDescriptionSchema
200OKAPIEntitiesCiJob
400Bad Request—
401Unauthorized—
403Forbidden—
404Not found—

Update pipeline metadata

PUT /api/v4/projects/{id}/pipelines/{pipeline_id}/metadata

Updates pipeline metadata. The metadata contains the name of the pipeline. This feature was introduced in GitLab 16.6.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID or URL-encoded path
Example: 11
pipeline_id
Path, required
IntegerThe pipeline ID
Example: 18

Request body (application/json)

PropertyTypeDescription
name
Required
StringThe name of the pipeline
Example: Deployment to production

Responses

CodeDescriptionSchema
200OKAPIEntitiesCiPipelineWithMetadata
400Bad request—
401Unauthorized—
403Forbidden—
404Not found—

Retry jobs in a pipeline

POST /api/v4/projects/{id}/pipelines/{pipeline_id}/retry

Retries failed or canceled jobs in a pipeline. If there are no failed or canceled jobs in the pipeline, calling this endpoint has no effect.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID or URL-encoded path
Example: 11
pipeline_id
Path, required
IntegerThe pipeline ID
Example: 18

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesCiPipeline
400Bad Request—
401Unauthorized—
403Forbidden—
404Not found—

Retrieve a test report for a pipeline

GET /api/v4/projects/{id}/pipelines/{pipeline_id}/test_report

Retrieves a test report for a pipeline.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID or URL-encoded path
Example: 11
pipeline_id
Path, required
IntegerThe pipeline ID
Example: 18

Responses

CodeDescriptionSchema
200OKTestReportEntity
400Bad Request—
401Unauthorized—
403Forbidden—
404Not found—

Retrieve a test report summary for a pipeline

GET /api/v4/projects/{id}/pipelines/{pipeline_id}/test_report_summary

Retrieves a test report summary for a pipeline.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID or URL-encoded path
Example: 11
pipeline_id
Path, required
IntegerThe pipeline ID
Example: 18

Responses

CodeDescriptionSchema
200OKTestReportSummaryEntity
400Bad Request—
401Unauthorized—
403Forbidden—
404Not found—

List all trigger jobs by pipeline

GET /api/v4/projects/{id}/pipelines/{pipeline_id}/trigger_jobs

Lists all trigger jobs for a specified pipeline.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID or URL-encoded path
Example: 11
pipeline_id
Path, required
IntegerThe pipeline ID
Example: 18
scope
Query
String or array of stringsThe scope of builds to show
Example: ["pending","running"]
page
Query
IntegerCurrent page number
Default: 1
Example: 1
per_page
Query
IntegerNumber of items per page
Default: 20
Example: 20

Responses

CodeDescriptionSchema
200OKAPIEntitiesCiBridge
400Bad Request—
401Unauthorized—
403Forbidden—
404Not found—

List all pipeline variables

GET /api/v4/projects/{id}/pipelines/{pipeline_id}/variables

Lists all pipeline variables for a specified pipeline. Use the page and per_page pagination parameters to control the pagination of results.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID or URL-encoded path
Example: 11
pipeline_id
Path, required
IntegerThe pipeline ID
Example: 18

Responses

CodeDescriptionSchema
200OKAPIEntitiesCiVariable
400Bad Request—
401Unauthorized—
403Forbidden—
404Not found—

Schemas

Objects returned by the operations above and objects nested in their request bodies.

APIEntitiesCiBridge

PropertyTypeDescription
allow_failureBoolean—
commitAPIEntitiesCommit—
coverageNumber (float)Example: 98.29
created_atString (date-time)Example: 2015-12-24T15:51:21.880Z
downstream_pipelineAPIEntitiesCiPipelineBasic—
durationNumber (float)Time spent running
Example: 0.465
erased_atString (date-time)Example: 2015-12-24T18:00:29.728Z
failure_reasonStringExample: script_failure
finished_atString (date-time)Example: 2015-12-24T17:54:31.198Z
idInteger (int64)Example: 1
nameStringExample: deploy_to_production
pipelineAPIEntitiesCiPipelineBasic—
projectObject—
project.ci_job_token_scope_enabledStringExample: false
queued_durationNumber (float)Time spent enqueued
Example: 0.123
refStringExample: main
stageStringExample: deploy
started_atString (date-time)Example: 2015-12-24T17:54:30.733Z
statusStringExample: waiting_for_resource
tagBoolean—
userAPIEntitiesUser—
web_urlStringExample: https://example.com/foo/bar/-/jobs/1

APIEntitiesCiJob

PropertyTypeDescription
allow_failureBoolean—
archivedBooleanExample: false
artifactsArray of APIEntitiesCiJobArtifact—
artifacts_expire_atString (date-time)Example: 2016-01-19T09:05:50.355Z
artifacts_fileAPIEntitiesCiJobArtifactFile—
commitAPIEntitiesCommit—
coverageNumber (float)Example: 98.29
created_atString (date-time)Example: 2015-12-24T15:51:21.880Z
durationNumber (float)Time spent running
Example: 0.465
erased_atString (date-time)Example: 2015-12-24T18:00:29.728Z
failure_reasonStringExample: script_failure
finished_atString (date-time)Example: 2015-12-24T17:54:31.198Z
idInteger (int64)Example: 1
nameStringExample: deploy_to_production
pipelineAPIEntitiesCiPipelineBasic—
projectObject—
project.ci_job_token_scope_enabledStringExample: false
queued_durationNumber (float)Time spent enqueued
Example: 0.123
refStringExample: main
runnerAPIEntitiesCiRunner—
runner_managerAPIEntitiesCiRunnerManager—
stageStringExample: deploy
started_atString (date-time)Example: 2015-12-24T17:54:30.733Z
statusStringExample: waiting_for_resource
tagBoolean—
tag_listArray of stringsExample: ["ubuntu18","docker runner"]
userAPIEntitiesUser—
web_urlStringExample: https://example.com/foo/bar/-/jobs/1

APIEntitiesCiJobArtifact

PropertyTypeDescription
file_formatStringAllowed values: raw, zip, gzip
Example: zip
file_typeStringAllowed values: archive, metadata, trace, junit, sast, dependency_scanning, container_scanning, dast, codequality, license_scanning, performance, metrics, metrics_referee, network_referee, lsif, dotenv, cobertura, terraform, accessibility, cluster_applications, secret_detection, requirements, coverage_fuzzing, browser_performance, load_performance, api_fuzzing, cluster_image_scanning, cyclonedx, requirements_v2, annotations, repository_xray, jacoco, sarif
Example: archive
filenameStringExample: artifacts.zip
sizeIntegerExample: 1000

APIEntitiesCiJobArtifactFile

PropertyTypeDescription
filenameStringExample: artifacts.zip
sizeIntegerExample: 1000

APIEntitiesCiPipeline

PropertyTypeDescription
archivedBooleanExample: false
before_shaStringExample: a91957a858320c0e17f3a0eca7cfacbff50ea29a
committed_atString (date-time)Example: 2015-12-24T15:51:21.880Z
coverageNumber (float)Example: 98.29
created_atString (date-time)Example: 2015-12-24T15:51:21.880Z
detailed_statusDetailedStatusEntity—
durationIntegerTime spent running in seconds
Example: 127
finished_atString (date-time)Example: 2015-12-24T17:54:31.198Z
idInteger (int64)Example: 1
iidIntegerExample: 2
project_idInteger (int64)Example: 3
queued_durationIntegerTime spent enqueued in seconds
Example: 63
refStringExample: feature-branch
shaStringExample: 0ec9e58fdfca6cdd6652c083c9edb53abc0bad52
sourceStringExample: push
started_atString (date-time)Example: 2015-12-24T17:54:30.733Z
statusStringExample: success
tagBooleanExample: false
updated_atString (date-time)Example: 2015-12-24T17:54:31.198Z
userAPIEntitiesUserBasic—
web_urlStringExample: https://gitlab.example.com/gitlab-org/gitlab-foss/-/pipelines/61
yaml_errorsStringExample: widgets:build: needs 'widgets:test'

APIEntitiesCiPipelineBasic

PropertyTypeDescription
created_atString (date-time)Example: 2022-10-21T16:49:48.000+02:00
idInteger (int64)Example: 1
iidIntegerExample: 2
project_idInteger (int64)Example: 3
refStringExample: feature-branch
shaStringExample: 0ec9e58fdfca6cdd6652c083c9edb53abc0bad52
sourceStringExample: push
statusStringExample: success
updated_atString (date-time)Example: 2022-10-21T16:49:48.000+02:00
web_urlStringExample: https://gitlab.example.com/gitlab-org/gitlab-foss/-/pipelines/61

APIEntitiesCiPipelineMergeRequest

PropertyTypeDescription
iidIntegerExample: 14
titleStringExample: Add rate limiting to the public API
web_urlStringExample: https://gitlab.example.com/foo/bar/-/merge_requests/14

APIEntitiesCiPipelineWithMetadata

PropertyTypeDescription
archivedBooleanExample: false
before_shaStringExample: a91957a858320c0e17f3a0eca7cfacbff50ea29a
committed_atString (date-time)Example: 2015-12-24T15:51:21.880Z
coverageNumber (float)Example: 98.29
created_atString (date-time)Example: 2015-12-24T15:51:21.880Z
detailed_statusDetailedStatusEntity—
durationIntegerTime spent running in seconds
Example: 127
finished_atString (date-time)Example: 2015-12-24T17:54:31.198Z
idInteger (int64)Example: 1
iidIntegerExample: 2
nameStringExample: Build pipeline
project_idInteger (int64)Example: 3
queued_durationIntegerTime spent enqueued in seconds
Example: 63
refStringExample: feature-branch
shaStringExample: 0ec9e58fdfca6cdd6652c083c9edb53abc0bad52
sourceStringExample: push
started_atString (date-time)Example: 2015-12-24T17:54:30.733Z
statusStringExample: success
tagBooleanExample: false
updated_atString (date-time)Example: 2015-12-24T17:54:31.198Z
userAPIEntitiesUserBasic—
web_urlStringExample: https://gitlab.example.com/gitlab-org/gitlab-foss/-/pipelines/61
yaml_errorsStringExample: widgets:build: needs 'widgets:test'

APIEntitiesCiRunner

PropertyTypeDescription
activeBooleanExample: true
created_atString (date-time)Example: 2025-05-03T00:00:00.000Z
created_byAPIEntitiesUserBasic—
descriptionStringExample: test-1-20150125
idInteger (int64)Example: 8
ip_addressStringExample: 127.0.0.1
is_sharedBooleanExample: true
job_execution_statusStringAllowed values: active, idle
Example: idle
nameStringExample: test
onlineBooleanExample: true
pausedBooleanExample: false
runner_typeStringAllowed values: instance_type, group_type, project_type
Example: instance_type
statusStringExample: online

APIEntitiesCiRunnerManager

PropertyTypeDescription
architectureStringExample: amd64
contacted_atStringExample: 2023-10-24T01:27:06.549Z
created_atStringExample: 2023-10-24T01:27:06.549Z
idInteger (int64)Example: 8
ip_addressStringExample: 127.0.0.1
job_execution_statusStringAllowed values: active, idle
Example: idle
platformStringExample: linux
revisionStringExample: 91a27b2a
statusStringExample: online
system_idStringExample: runner-1
versionStringExample: 16.11.0

APIEntitiesCiUserPipeline

PropertyTypeDescription
created_atString (date-time)Example: 2022-10-21T16:49:48.000+02:00
detailed_statusDetailedStatusEntity—
durationIntegerTime spent running in seconds
Example: 127
finished_atString (date-time)Example: 2022-10-21T16:52:12.000+02:00
idInteger (int64)Example: 1
iidIntegerExample: 2
merge_requestAPIEntitiesCiPipelineMergeRequest—
nameStringExample: Build pipeline
projectAPIEntitiesProjectIdentity—
project_idInteger (int64)Example: 3
queued_durationIntegerTime spent queued in seconds
Example: 63
refStringExample: feature-branch
shaStringExample: 0ec9e58fdfca6cdd6652c083c9edb53abc0bad52
sourceStringExample: push
started_atString (date-time)Example: 2022-10-21T16:49:50.000+02:00
statusStringExample: success
updated_atString (date-time)Example: 2022-10-21T16:49:48.000+02:00
web_urlStringExample: https://gitlab.example.com/gitlab-org/gitlab-foss/-/pipelines/61

APIEntitiesCiVariable

PropertyTypeDescription
descriptionStringExample: This variable is being used for ...
environment_scopeStringExample: *
hiddenBoolean—
keyStringExample: TEST_VARIABLE_1
maskedBoolean—
protectedBoolean—
rawBoolean—
valueStringExample: TEST_1
variable_typeStringExample: env_var

APIEntitiesCommit

PropertyTypeDescription
author_emailStringExample: john@example.com
author_nameStringExample: John Smith
authored_dateString (date-time)Example: 2012-05-28T04:42:42-07:00
committed_dateString (date-time)Example: 2012-05-28T04:42:42-07:00
committer_emailStringExample: jack@example.com
committer_nameStringExample: Jack Smith
created_atString (date-time)Example: 2017-07-26T11:08:53.000+02:00
extended_trailersObjectExample: {"Signed-off-by":["John Doe \u003cjohndoe@gitlab.com\u003e","Jane Doe \u003cjanedoe@gitlab.com\u003e"]}
idStringExample: 2695effb5807a22ff3d138d593fd856244e155e7
messageStringExample: Initial commit
parent_idsArray of stringsExample: ["2a4b78934375d7f53875269ffd4f45fd83a84ebe"]
short_idStringExample: 2695effb
titleStringExample: Initial commit
trailersObjectExample: {"Merged-By":"Jane Doe janedoe@gitlab.com"}
web_urlStringExample: https://gitlab.example.com/janedoe/gitlab-foss/-/commit/ed899a2f4b50b4370feeea94676502b42383c746

APIEntitiesCustomAttribute

PropertyTypeDescription
keyStringExample: foo
valueStringExample: bar

APIEntitiesProjectIdentity

PropertyTypeDescription
created_atString (date-time)Example: 2020-05-07T04:27:17.016Z
descriptionStringExample: desc
idInteger (int64)Example: 1
nameStringExample: project1
name_with_namespaceStringExample: John Doe / project1
pathStringExample: project1
path_with_namespaceStringExample: namespace1/project1

APIEntitiesUser

PropertyTypeDescription
avatar_pathStringExample: /user/avatar/28/The-Big-Lebowski-400-400.png
avatar_urlStringExample: https://gravatar.com/avatar/1
bioString—
botBoolean—
created_atString—
custom_attributesArray of APIEntitiesCustomAttribute—
discordString—
followersString—
followingString—
githubString—
idInteger (int64)Example: 1
is_followedString—
job_titleString—
linkedinString—
local_timeString—
locationString—
lockedBoolean—
nameStringExample: Administrator
organizationString—
pronounsString—
public_emailStringExample: john@example.com
stateStringExample: active
twitterString—
usernameStringExample: admin
web_urlStringExample: https://gitlab.example.com/root
website_urlString—
work_informationString—

APIEntitiesUserBasic

PropertyTypeDescription
avatar_pathStringExample: /user/avatar/28/The-Big-Lebowski-400-400.png
avatar_urlStringExample: https://gravatar.com/avatar/1
custom_attributesArray of APIEntitiesCustomAttribute—
idInteger (int64)Example: 1
lockedBoolean—
nameStringExample: Administrator
public_emailStringExample: john@example.com
stateStringExample: active
usernameStringExample: admin
web_urlStringExample: https://gitlab.example.com/root

DetailedStatusEntity

PropertyTypeDescription
actionObject—
action.button_titleStringExample: Cancel this job
action.confirmation_messageStringExample: Are you sure?
action.iconStringExample: cancel
action.methodStringExample: post
action.pathStringExample: /namespace1/project1/-/jobs/2/cancel
action.titleStringExample: Cancel
details_pathStringExample: /test-group/test-project/-/pipelines/287
faviconStringExample: /assets/ci_favicons/favicon_status_success.png
groupStringExample: success
has_detailsBooleanExample: true
iconStringExample: status_success
illustrationObjectExample: {"content":"This job depends on upstream jobs that need to succeed in order for this job to be triggered","image":"illustrations/empty-state/empty-job-not-triggered-md.svg","size":"","title":"This job has not been triggered yet"}
labelStringExample: passed
textStringExample: passed
tooltipStringExample: passed

TestCaseEntity

PropertyTypeDescription
attachment_urlStringExample: http://localhost/namespace1/project1/-/jobs/1/artifacts/file/some/path.png
classnameStringExample: vulnerability_management_spec
execution_timeIntegerExample: 180
fileStringExample: ./spec/test_spec.rb
nameStringDefault: (No name)
Example: Security Reports can create an auto-remediation MR
recent_failuresObjectExample: {"base_branch":"develop","count":3}
severityStringExample: low
stack_traceStringExample: Failure/Error: is_expected.to eq(3)
statusStringExample: success
system_outputStringExample: Failure/Error: is_expected.to eq(3)

TestReportEntity

PropertyTypeDescription
error_countIntegerExample: 0
failed_countIntegerExample: 0
skipped_countIntegerExample: 0
success_countIntegerExample: 1
test_suitesArray of TestSuiteEntity—
total_countIntegerExample: 1
total_timeIntegerExample: 180

TestReportSummaryEntity

PropertyTypeDescription
test_suitesTestSuiteSummaryEntity—
totalObjectExample: {"count":2,"error":0,"failed":0,"skipped":0,"success":2,"suite_error":null,"time":0.42}

TestSuiteEntity

PropertyTypeDescription
error_countIntegerExample: 0
failed_countIntegerExample: 0
nameStringExample: test
skipped_countIntegerExample: 12
success_countIntegerExample: 3351
suite_errorStringExample: JUnit XML parsing failed: 1:1: FATAL: Document is empty
test_casesArray of TestCaseEntity—
total_countIntegerExample: 3363
total_timeIntegerExample: 1904

TestSuiteSummaryEntity

PropertyTypeDescription
build_idsArray of integersExample: [66004]
error_countIntegerExample: 0
failed_countIntegerExample: 0
nameStringExample: test
severity_countsObjectExample: {"critical":{"errored":0,"failed":1}}
skipped_countIntegerExample: 12
success_countIntegerExample: 3351
suite_errorStringExample: JUnit XML parsing failed: 1:1: FATAL: Document is empty
test_casesArray of TestCaseEntity—
total_countIntegerExample: 3363
total_timeIntegerExample: 1904